# I18n::LanguageNames

The `i18n-language_names` gem is an extension to 
[svenfuchs/i18n](https://github.com/svenfuchs/i18n), which provides
internationalisation support in ruby. This gem helps translate language
names by relying on the [CLDR](http://cldr.unicode.org) (Unicode
Common Locale Data Repository) which hosts translations of languages
into all locales, and it's made availably by the 
[twitter_cldr](https://github.com/twitter/twitter-cldr-rb) project.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'i18n-language_names'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install i18n-language_names

## Usage

```ruby
# get the name of the french language
# in the default locale
I18n.language_name(:fr)
# => "French"

# set the locale to german
I18n.locale = :de

# get the name of the french language in the
# german locale
I18n.language_name(:fr)
# => "Französisch"

# get the native name of the french language
I18n.native_language_name(:fr)
# => "français"
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/xfbs/i18n-language_names.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
