# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "i18n/language_names/version"

Gem::Specification.new do |spec|
  spec.name          = "i18n-language_names"
  spec.version       = I18n::LanguageNames::VERSION
  spec.authors       = ["Patrick Elsen"]
  spec.email         = ["pelsen@xfbs.net"]

  spec.summary       = %q{Extension to Sven Fuchs' I18n to provide localised language names}
  spec.description   = %q{Extends Sven Fuchs' I18n to provide localized language names using the twitter_cldr gem, which uses the Unicode Common Locale Data Repository.}
  spec.homepage      = "https://github.com/xbfs/i18n-language_names"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org/"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "i18n", "~> 0.8.4"
  spec.add_dependency "twitter_cldr", "~> 4.4.1"
end
